/***************************************************************************
 *   Copyright (C) 2003 by Dan Muller                                      *
 *   dan at verliba dot cz                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "ctriggers.h"
#include "cconfigitembase.h"
#include "cserverdc.h"

namespace nDirectConnect {
namespace nTables {

cTriggers::cTriggers( cServerDC *server ) :
	tMySQLMemoryList<cTrigger, cServerDC>(server->mMySQL, server, "file_trigger")
{
	SetClassName("nDC::cTriggers");
}

void cTriggers::AddFields()
{
	Add("command",mModel.mCommand);
	AddPrimaryKey("command");
	Add("send_as",mModel.mSendAs);
	Add("def"    ,mModel.mDefinition);
	Add("descr"  ,mModel.mDescription);
	Add("min_class",mModel.mMinClass);
	Add("flags",mModel.mFlags);
	//Add("trunc_ln"  ,mModel.mMaxLines);
	//Add("trunc_len" ,mModel.mMaxSize);
	//Add("delay_usr" ,mModel.mDelayUser);
	//Add("delay_total" ,mModel.mDelayTotal);
}

void cTriggers::CreateTable()
{
	cQuery query(mMySQL);
	query.OStream() << "CREATE TABLE IF NOT EXISTS " << mTableName << " ("
		"command varchar(15) not null primary key,"
		"send_as varchar(15) default 'hub-security',"
		"def text,"
		"descr text,"
		"min_class int,"
		"flags int default 0"
		")";
	query.Query();
}

};
};

